# Pointer Functions
[Pointer with Reference Counter]

This group contains the definition of a GWEN_REFPTR. More...

## Getting and Setting Flags

void | GWEN_RefPtr_AddFlags (GWEN_REFPTR *rp, GWEN_TYPE_UINT32 fl)
void | GWEN_RefPtr_DelFlags (GWEN_REFPTR *rp, GWEN_TYPE_UINT32 fl)
GWEN_TYPE_UINT32 | GWEN_RefPtr_GetFlags (const GWEN_REFPTR *rp)
void | GWEN_RefPtr_SetFlags (GWEN_REFPTR *rp, GWEN_TYPE_UINT32 fl)

## Constructor, Destructor, Copy, Duplicate functions

GWEN_REFPTR * | GWEN_RefPtr_copy (const GWEN_REFPTR *rp)
GWEN_REFPTR * | GWEN_RefPtr_dup (const GWEN_REFPTR *rp)
void | GWEN_RefPtr_free (GWEN_REFPTR *rp)
GWEN_REFPTR * | GWEN_RefPtr_new (void *dp, GWEN_REFPTR_INFO *rpi)

## Data Functions

void * | GWEN_RefPtr_GetData (const GWEN_REFPTR *rp)
void | GWEN_RefPtr_SetData (GWEN_REFPTR *rp, void *dp, GWEN_REFPTR_INFO *rpi)

## Detailed Description

This group contains the definition of a GWEN_REFPTR.

## Function Documentation

void GWEN_RefPtr_AddFlags | ( | GWEN_REFPTR * | rp,
|  | GWEN_TYPE_UINT32 | fl
| ) |

GWEN_REFPTR* GWEN_RefPtr_copy | ( | const GWEN_REFPTR * | rp | ) |

void GWEN_RefPtr_DelFlags | ( | GWEN_REFPTR * | rp,
|  | GWEN_TYPE_UINT32 | fl
| ) |

GWEN_REFPTR* GWEN_RefPtr_dup | ( | const GWEN_REFPTR * | rp | ) |

void GWEN_RefPtr_free | ( | GWEN_REFPTR * | rp | ) |

void* GWEN_RefPtr_GetData | ( | const GWEN_REFPTR * | rp | ) |

GWEN_TYPE_UINT32 GWEN_RefPtr_GetFlags | ( | const GWEN_REFPTR * | rp | ) |

GWEN_REFPTR* GWEN_RefPtr_new | ( | void * | dp,
|  | GWEN_REFPTR_INFO * | rpi
| ) |

void GWEN_RefPtr_SetData | ( | GWEN_REFPTR * | rp,
|  | void * | dp,
|  | GWEN_REFPTR_INFO * | rpi
| ) |

void GWEN_RefPtr_SetFlags | ( | GWEN_REFPTR * | rp,
|  | GWEN_TYPE_UINT32 | fl
| ) |